org.bouncycastle.pqc.asn1

## Class FalconPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.FalconPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class FalconPublicKey
      extends ASN1Object

  Classic McEliece Public Key Format. See https://datatracker.ietf.org/doc/draft-uni-qsckeys/ for details.

           FALCONPublicKey := SEQUENCE {
               h           OCTET STRING       -- integer polynomial h
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FalconPublicKey(ASN1Sequence seq)` Deprecated. use getInstance()
    `FalconPublicKey(byte[] h)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getH()`
    `static FalconPublicKey` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FalconPublicKey

          public FalconPublicKey(byte[] h)

    - #### FalconPublicKey

          @Deprecated
          public FalconPublicKey(ASN1Sequence seq)

      Deprecated. use getInstance()

  - ### Method Detail

    - #### getH

          public byte[] getH()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getInstance

          public static FalconPublicKey getInstance(java.lang.Object o)